Eclipse Platform Release 3.7

## org.eclipse.core.runtime
Class ContributorFactorySimple

    java.lang.Object
      org.eclipse.core.runtime.ContributorFactorySimple

    public final class ContributorFactorySimple

extends Object

The contributor factory creates new registry contributors for use in a simple registry based on the String representation of the determining object.

This class can be used without OSGi running.

This class can not be extended or instantiated by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  org.eclipse.equinox.registry 3.2
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

Constructor Summary
`ContributorFactorySimple()`

Method Summary
`static IContributor` `createContributor(Object determiningObject)` Creates registry contributor object based on a determining object.The determining object must not be `null`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContributorFactorySimple

    public ContributorFactorySimple()

Method Detail

### createContributor

    public static IContributor createContributor(Object determiningObject)

  Creates registry contributor object based on a determining object.The determining object must not be `null`.

  Parameters:
    `determiningObject` - object associated with the contribution
  Returns:
    new registry contributor based on the determining object

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.